#ifndef OBJECT_FLOAT_H
#define OBJECT_FLOAT_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: float.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";

#include "object.h"
#include "globals.h"

// global object counters (for memory debugging)
extern int float_type_count;

class JC_float : public JC_object {
private:
	double content;
public:
	JC_float(double f);
	JC_float(const JC_float& j);
	JC_float(const std::string&);
	~JC_float(void);
	const obj_type get_type(void) const;
	std::string to_string() const;
	double to_double() const;
	void debug_print(void) const;
	std::string key(void) const;
};
#endif
